Bug 1264588 - systemd-sysctl emits errors messages processing '00-system.conf'
systemd-sysctl emits errors messages processing '00-system.conf'
Status: POST
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
27
i386 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 18:32 EDT by Dominique Brazziel
Modified: 2017-08-15 05:08 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:14:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominique Brazziel 2015-09-18 18:32:52 EDT
Description of problem:
Boot time messages:

systemd-sysctl: Couldn't write '0' to 'net/bridge/bridge-nf-call-arptables', ignoring: No such file or directory

Above repeated for 'bridge-nf-call-iptables' and 'bridge-nf-call-ip6tables'

Those keys appear in '/usr/lib/sysctl.d/00-system.conf' 

Version-Release number of selected component (if applicable):


How reproducible:
Boot and see messages produced by 'journalctl -a -b'

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dominique Brazziel 2015-09-19 05:54:14 EDT
Workaround is to symlink '/etc/sysctl.d/00-system.conf' to '/dev/null' per
man sysctl.d.
Comment 2 udo 2015-10-02 07:34:13 EDT
In my case I see the same messages but the file mentioned here is not existing on my system.
Comment 3 DaveG 2015-11-24 18:26:49 EST
Default filtering of bridge packets has been deprecated in the kernel, finally, so /usr/lib/sysctl.d/00-system.conf should/could be updated to reflect that by removing the now failing settings (3 settings and a comment).

kernels have been warning of the change for some time now, maybe a year, so it should be safe.

See also: https://bugzilla.redhat.com/show_bug.cgi?id=634736

To silence the messages, copy /usr/lib/sysctl.d/00-system.conf to /etc/sysctl.d/ and remove the offending lines as there are other settings in the file you may need.

--David.
Comment 4 Fedora End Of Life 2016-07-19 16:14:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 mertensb.mazda 2016-08-15 06:41:25 EDT
I see these errors on a system upgraded to Fedora 24 (upgraded from earlier version to 22, then upgraded to 23 and now upgraded to 24).

Aug 15 11:49:41 squeezenode systemd-sysctl[140]: Couldn't write '0' to 'net/bridge/bridge-nf-call-arptables', ignoring: No such file or directory
Aug 15 11:49:41 squeezenode systemd-sysctl[140]: Couldn't write '0' to 'net/bridge/bridge-nf-call-ip6tables', ignoring: No such file or directory
Aug 15 11:49:41 squeezenode systemd-sysctl[140]: Couldn't write '0' to 'net/bridge/bridge-nf-call-iptables', ignoring: No such file or directory

I see this even after commented out the lines in /usr/lib/sysctl.d/00-system.conf and verifying that no other sysctl file contains this setting:
[m8ram@squeezenode ~]$ sudo grep bridge /usr/lib/sysctl.d/* /etc/sysctl.conf  /etc/sysctl.d/*
/usr/lib/sysctl.d/00-system.conf:# Disable netfilter on bridges.
/usr/lib/sysctl.d/00-system.conf:#net.bridge.bridge-nf-call-ip6tables = 0
/usr/lib/sysctl.d/00-system.conf:#net.bridge.bridge-nf-call-iptables = 0
/usr/lib/sysctl.d/00-system.conf:#net.bridge.bridge-nf-call-arptables = 0

[m8ram@squeezenode ~]$ sudo sysctl -a|grep bridge
sysctl: reading key "net.ipv6.conf.all.stable_secret"
sysctl: reading key "net.ipv6.conf.default.stable_secret"
sysctl: reading key "net.ipv6.conf.ens3.stable_secret"
sysctl: reading key "net.ipv6.conf.lo.stable_secret"

Removing /usr/lib/sysctl.d/00-system.conf completely (there are no other settings in there) does not prevent these errors either.
Comment 6 Sergio Monteiro Basto 2017-01-10 18:32:49 EST
(In reply to mertensb.mazda from comment #5) 
> Removing /usr/lib/sysctl.d/00-system.conf completely (there are no other
> settings in there) does not prevent these errors either.

weird .

cat /usr/lib/sysctl.d/00-system.conf
# Kernel sysctl configuration file
#
# For binary values, 0 is disabled, 1 is enabled.  See sysctl(8) and
# sysctl.conf(5) for more details.

# Disable netfilter on bridges.
net.bridge.bridge-nf-call-ip6tables = 0
net.bridge.bridge-nf-call-iptables = 0
net.bridge.bridge-nf-call-arptables = 0
#rpm -qf  /usr/lib/sysctl.d/00-system.conf
initscripts-9.65-2.fc24.x86_64

This should be fixed, have these warnings not help people find the real problems on the system.
Comment 7 Sergei LITVINENKO 2017-01-22 07:09:22 EST
Issue still present in Fedora-25

[root@homedesk sysctl.d]# rpm -qf 00-system.conf
initscripts-9.69-1.fc25.x86_64

It cause error message in journal
--
янв 22 13:51:35 homedesk.homedesk.org.ua systemd-sysctl[639]: Couldn't write '0' to 'net/bridge/bridge-nf-call-iptables', ignoring: No such file or directory
янв 22 13:51:35 homedesk.homedesk.org.ua systemd-sysctl[639]: Couldn't write '0' to 'net/bridge/bridge-nf-call-arptables', ignoring: No such file or director
янв 22 13:51:35 homedesk.homedesk.org.ua systemd-sysctl[639]: Couldn't write '0' to 'net/bridge/bridge-nf-call-ip6tables', ignoring: No such file or director
--

Maybe, if 00-system.conf is important to keep, settings should be commented by default. Some like below


[root@homedesk sysctl.d]# cat 00-system.conf
# Kernel sysctl configuration file
#
# For binary values, 0 is disabled, 1 is enabled.  See sysctl(8) and
# sysctl.conf(5) for more details.

# Disable netfilter on bridges.
# net.bridge.bridge-nf-call-ip6tables = 0
# net.bridge.bridge-nf-call-iptables = 0
# net.bridge.bridge-nf-call-arptables = 0
Comment 8 Sergio Monteiro Basto 2017-01-22 17:49:57 EST
(In reply to Sergio Monteiro Basto from comment #6)
> (In reply to mertensb.mazda from comment #5) 
> > Removing /usr/lib/sysctl.d/00-system.conf completely (there are no other
> > settings in there) does not prevent these errors either.
> 
> weird .
> 
> cat /usr/lib/sysctl.d/00-system.conf
> # Kernel sysctl configuration file
> #
> # For binary values, 0 is disabled, 1 is enabled.  See sysctl(8) and
> # sysctl.conf(5) for more details.
> 
> # Disable netfilter on bridges.
> net.bridge.bridge-nf-call-ip6tables = 0
> net.bridge.bridge-nf-call-iptables = 0
> net.bridge.bridge-nf-call-arptables = 0
> #rpm -qf  /usr/lib/sysctl.d/00-system.conf
> initscripts-9.65-2.fc24.x86_64
> 
> This should be fixed, have these warnings not help people find the real
> problems on the system.

as comment #5 after remove 00-system.conf , still have the same warnings .
Comment 9 Lukáš Nykrýn 2017-01-23 03:57:18 EST
Since we change this value in rhel and fedora for last 5 years can't we just make it default in kernel? That would help with this issue.
Comment 10 Laura Abbott 2017-01-24 13:51:47 EST
You would need to make the case upstream to change the default.  I really don't see that happening though, Fedora and RHEL are not the only kernel uses and the sysctl is there for exactly this purpose.
Comment 11 Fedora End Of Life 2017-07-25 15:17:56 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Zbigniew Jędrzejewski-Szmek 2017-07-25 18:46:47 EDT
https://github.com/fedora-sysv/initscripts/pull/111#issuecomment-317345955
Comment 13 Jan Kurik 2017-08-15 05:08:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.